package com.zjrs.zwnw.portal.bpo.impl;

import org.mohrss.leaf.core.framework.domain.blo.impl.BLOImpl;
import com.zjrs.zwnw.portal.blo.RcglBLO;
import com.zjrs.zwnw.portal.bpo.RcglBPO;
import com.zjrs.zwnw.portal.dto.ChangeFbglDTO;
import com.zjrs.zwnw.portal.dto.CommonFbglDTO;
import com.zjrs.zwnw.portal.dto.SaveRcglDTO;
import com.zjrs.zwnw.portal.po.VRsSyRcglnrPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class RcglBPOimpl extends BLOImpl implements RcglBPO {
    @Resource
    private RcglBLO rcglBLO;

    @Override
    public List<Object> getRcgltimeline(ChangeFbglDTO dto) {
        return rcglBLO.getRcgltimeline(dto);
    }

    @Override
    public void saveRcgl(SaveRcglDTO dto) {
        rcglBLO.saveRcgl(dto);
    }

    @Override
    public void delRcgl(CommonFbglDTO dto) {
        rcglBLO.delRcgl(dto);
    }

    @Override
    public VRsSyRcglnrPO getRcgl(CommonFbglDTO dto) {
        return rcglBLO.getRcgl(dto);
    }
}
